using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.FactorDetailsCQ.EventHandlers;

public class DeleteFactorDetailsEventHandler : INotificationHandler<DeleteFactorDetailsEvent>
{
    private readonly ILogger<
        DeleteFactorDetailsEventHandler> _logger;

    public DeleteFactorDetailsEventHandler(ILogger<DeleteFactorDetailsEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(DeleteFactorDetailsEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}
